#!/bin/sh
useradd >/dev/null 2>&1
if [ $? -eq 126 ]; then
    echo "ERROR: This utility requires superuser authority."
    echo 
    exit 1
fi   

hwcpath=`dirname "${0}"`
expr "${0}" : "/.*" > /dev/null || hwcpath=`(cd "${hwpath}" && pwd)`
echo $hwcpath
export IST_HWC_HOME=$hwcpath
$hwcpath/bin/sqeel $hwcpath/sqeel/hwcheck.eel $1
exit $?
